Subject: Re: Archives Search Broken

From: "Dave Page" <[email-masked]>
Date: Mon, 8 Mar 2004 16:40:44 -0000

> -----Original Message-----
> From: Josh Berkus [mailto:[email-masked]] 
> Sent: 08 March 2004 16:33
> To: Dave Page; [email-masked]
> Subject: Re: [pgsql-www] Archives Search Broken
> 
> Dave,
> 
> > Though strangely it now seems to work...
> 
> I still get nothing.  I've tried on both Konqueror & Firefox 
> in case it's a 
> browser issue.   Odd thing is, the search returns in about 
> 0.5 seconds ... 
> which is *awfully* fast considering I'm on wireless.   It's 
> like it's not 
> even running a search, just immediately returning "no results".
> 
> AHA!   Found the problem, I think.   I was assuming that "in 
> the last month" 
> meant "in the last 30 days".    I think ASPSeek interprets 
> "in the last 
> month" to mean *this* month, i.e. March.   This would explain 
> the results I'm 
> getting for several queries.

In addition it may take a week or so for new posts to get indexed. There
is a mechanism for feeding new data directly into the index using an XML
data feed, however this will take significant work to implement for the
archives. In the meantime there is a simple weekly index cycle.

Regards, Dave.